Delete collection
Soft-delete a collection by moving it to trash.
This endpoint does not permanently delete the collection. It performs a trash move (soft delete).
Use cases:
- Moving unused collections to trash
- Implementing collection management workflows
- Lifecycle management before permanent deletion
Authorization
apiKey AuthorizationBearer <token>
The API will use the Authorization: Bearer <your-key> header for requests.
In: header
Path Parameters
collectionId*string
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.excalidraw.com/api/v1/collections/string"{
"property1": null,
"property2": null
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "string"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "string"
}{
"statusCode": 404,
"error": "Not Found",
"message": "string"
}Last updated on